const productsService = require('./productsService');

async function productsRoutes(fastify, options) {
    fastify.post('/products/prices', async (request, reply) => {
        const { products } = request.body;
        try {
            productsService.createProductsWithPrices(products);
            return { message: 'Products and prices are being processed' };
        } catch (error) {
            reply.status(500).send({ error: 'Internal Server Error' });
        }
    });
}

module.exports = productsRoutes;